Zum Hauptinhalt springen

Updates A records for a specific zone

PUT/v2/dns/zones/{zoneId}/recordset/acombined/custom
API-Version
v2
Request-Methode
PUT
Operation-ID
deprecated-dns-record-a-set-custom

Request​

  • zoneIdstring (uuid)required

    the id of the zone the record belongs to

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/dns/zones/f0f86186-0a5a-45b2-aa33-502777496347/recordset/acombined/custom
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.deprecatedDnsRecordAsetCustom({
"zoneId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDnsRecordASetCustom\DeprecatedDnsRecordASetCustomRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDnsRecordASetCustom\DeprecatedDnsRecordASetCustomRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedDnsRecordASetCustomRequestBody to learn how to construct a valid instance
$body = new DeprecatedDnsRecordASetCustomRequestBody(/* TODO: ... */);

$request = (new DeprecatedDnsRecordASetCustomRequest(
zoneId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->domain()->deprecatedDnsRecordAsetCustom($request);

var_dump($response->getBody();

Auf dieser Seite